## Endings
##
## "False" endings are endings reached early, without completing the game.
## "True" endings are endings shown after the end of the game.

## Ending Calculator
## pc_loves_li 0:5
## ending_d 0:3 and ending_f 0:3
label ending_calculator:
    
    ## set persistant variables for debug console
    # if gen == "xy":
    #     $ persistent.completed_xy = True
    # if gen == "xx":
    #     $ persistent.completed_xx = True
    
    ## get derived values
    $ total_points = total_menus * 2            # range for total points is 0:(total_menus x 2)
    $ percentage = float(li_loves_pc)/float(total_points)
    
    bug "Ending Calculator"
    bug "This label determines which ending is shown."
    bug "There are eight regular endings (A1 - A4, B1 - B4) and two alternate endings (C1 and C2) per gender (for a total of sixteen endings)."
    bug "pc_loves_li is %(pc_loves_li)d out of 5"
    bug "li_loves_pc is %(li_loves_pc)d out of %(total_points)d (total menus x 2)"
    bug "alt_path_possible: %(alt_path_possible)s, on_alt_path: %(on_alt_path)s"
   
    ## handle alternate path
    if on_alt_path == True:
        if pc_loves_li == 5:
            bug "Alt path: pc_loves_li (%(pc_loves_li)d) = 5, so ending C1."
            $ ending = "c1"
        else:
            bug "Alt path: pc_loves_li (%(pc_loves_li)d) < 5 , so ending C2."
            $ ending = "c2"
                
    ## decide what track the player is on; 'd' or 'f'
    elif ending_d > ending_f:
        
        bug "Defiant (A): %(ending_d)d, Fatalistic (B): %(ending_f)d"
        bug "You're on the Defiant (A) Track."
        
        if pc_loves_li <= 2:
            bug "Defiant: pc_loves_li (%(pc_loves_li)d) <= 2, so you're getting ending A3."
            $ ending = "a3"
            
        elif pc_loves_li <= 4:
            bug "Defiant: pc_loves_li (%(pc_loves_li)d) > 2 and <= 4, so endings A1 - A3 are available."
            
            if percentage >= .70:
                bug "li_loves_pc/total points (%(percentage)f): greater than 70%%; go to ending A1."
                $ ending = "a1"
            elif percentage >= .30:
                bug "li_loves_pc/total points (%(percentage)f): between 30%% and 70%%; go to ending A2."
                $ ending = "a2"
            else:
                bug "li_loves_pc/total points (%(percentage)f): less than 30%%; go to ending A3."
                $ ending = "a3"
                
        else:
            bug "Defiant: pc_loves_li (%(pc_loves_li)d) = 5, so endings A1 - A4 are available."
            
            if percentage >= .80:
                bug "li_loves_pc/total points (%(percentage)f): greater than 80%%; go to ending A4."
                $ ending = "a4"
            elif percentage >= .60:
                bug "li_loves_pc/total points (%(percentage)f): between than 60%% and 80%%; go to ending A1."
                $ ending = "a1"
            elif percentage >= .30:
                bug "li_loves_pc/total points (%(percentage)f): between than 30%% and 60%%; go to ending A2."
                $ ending = "a2"
            else:
                bug "li_loves_pc/total points (%(percentage)f): less than 30%%; go to ending A3."
                $ ending = "a3"
        
    else:
        
        bug "Defiant (A): %(ending_d)d, Fatalistic (B): %(ending_f)d"
        bug "You're on the Fatalistic (B) Track."
        
        if pc_loves_li <= 2:
            bug "Fatalistic: pc_loves_li (%(pc_loves_li)d) <= 2, so you're getting ending B3."
            $ ending = "b3"
            
        elif pc_loves_li <= 4:
            bug "Fatalistic: pc_loves_li (%(pc_loves_li)d) > 2 and <= 4, so endings B1 - B3 are available."
            
            if percentage >= .70:
                bug "li_loves_pc/total points (%(percentage)f): greater than 70%%; go to ending B1."
                $ ending = "b1"
            elif percentage >= .30:
                bug "li_loves_pc/total points (%(percentage)f): between than 30%% and 70%%; go to ending B2."
                $ ending = "b2"
            else:
                bug "li_loves_pc/total points (%(percentage)f): less than 30%%; go to ending B3."
                $ ending = "b3"
                
        else:
            bug "Fatalistic: pc_loves_li (%(pc_loves_li)d) = 5, so endings B1 - B4 are available."
            
            if percentage >= .80:
                bug "li_loves_pc/total point (%(percentage)f): greater than 80%%; go to ending B4."
                $ ending = "b4"
            elif percentage >= .60:
                bug "li_loves_pc/total points (%(percentage)f): between than 60%% and 80%%; go to ending B1."
                $ ending = "b1"
            elif percentage >= .30:
                bug "li_loves_pc/total points (%(percentage)f): between than 30%% and 60%%; go to ending B2."
                $ ending = "b2"
            else:
                bug "li_loves_pc/total points (%(percentage)f): less than 30%%; go to ending B3."
                $ ending = "b3"
                
    scene black with dissolve
    $ ui.text("Ending %(ending)s" % globals(), style="centered_text")
    $ renpy.pause(3.0)
    
    jump expression ("ending_" + ending + "_" + gen)
    
## small scale ending calculator
label mini_ending_calculator:
    
    $ total_points = total_menus * 2            # range for total points is 0:(total_menus x 2)
    $ percentage = float(li_loves_pc)/float(total_points)
    
    bug "Mini Ending Calculator"
    bug "This label determines if the love interest believes you when you admit you're a spirit."
    bug "li_loves_pc: %(li_loves_pc)d, total_points: %(total_points)d"
    bug "percentage: %(percentage)f"
    
    if percentage >= .60:
        bug "Top 40; love interest believes you."
        $ on_alt_path = True
        jump expression ('alt_li_believes_' + gen)
    else:
        bug "Bottom 60; love interest doesn't believe you."
        jump expression ('false_ending_two_' + gen)

## didn't follow anyone during the initial meeting
label false_ending_one:
    
    "I feel strange."
    "It's getting darker..."
    
    scene black with Dissolve(3.0)
    
    "...I don't know where I am..."
    
    jump ending
    
## the love interest doesn't believe you
label false_ending_two_xy:
    
    show fli annoyed at center with dissolve
    
    '%(flia)s:  "Yeah, sure."'
    
    "I feel odd, stretched thin..."
    "I can barely hear her voice."
    
    '%(flia)s:  "I hate to cut things short, but it\'s really late, and I\'ve got to work in the morning."'
    
    "It's getting darker..."
    
    hide fli
    scene black with Dissolve(3.0)
    
    "...I don't know where I am..."
    
    jump ending
    
label false_ending_two_xx:
    
    show mli annoyed at center with dissolve
    
    '%(mlia)s:  "Yeah, sure."'
    
    "I feel odd, stretched thin..."
    "I can barely hear his voice."
    
    '%(mlia)s:  "I hate to cut things short, but it\'s really late, and I\'ve got to work in the morning."'
    
    "It's getting darker..."
    
    hide mli
    scene black with Dissolve(3.0)
    
    "...I don't know where I am..."
    
    jump ending
    
#####################
## Defiant Endings ##
#####################

## male protagonist endings
label ending_a1_xy:

    scene hospital no_fli with eye_open
    
    d 'Me: "%(flia)s?"'
    
    "My voice is a croak, the barest of sounds."
    "My head hurts, just a little."
    
    scene hospital fli with dissolve
    
    '%(mlia)s: "You\'re safe now, %(prot)s."'
    "She takes my hand..."
    "...and I drift off again."
    
    scene black with dissolve
    $ renpy.pause(2.0)
    
    scene hospital with eye_open
    
    show fli_noblur happy at just_left
    
    '%(flia)s:  "You\'re awake!"'
    "She smiles..."
    "...and I can see it."
    
    show cambill fade at just_right
    
    d '%(cambill)s:  "The body wasn\'t being used anymore anyway..."'
    "I can just barely see him..."
    "But he sounds grumpy."
    d '"Someone Up There must be a sucker for love stories."'
    
    scene black with dissolve

    e "It takes a while before I'm back on my feet."
    e "%(flia)s takes care of me, and our love grows as I heal."
    e "Memories come back every day..."
    e "...memories that aren't exactly mine..."
    e "...but I feel as if I'm guided by some reassuring hand every step of the way."
    
    e "...thank you, %(mlia)s, wherever you are..."
    
    nvl clear
    
    jump ending
    
label ending_a2_xy:
    
    "I don't know where I am."
    
    scene blue with dissolve

    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(flia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "She\'s fine."'
    
    show cambill default at center
    
    show fli_noblur fade at just_right with dissolve
    
    d '"In fact... so is %(mlia)s, the original owner of the body."'
    
    show mli_noblur fade at just_left with dissolve
    
    d '"The Fates work in mysterious ways..."'
    
    hide fli_noblur
    hide mli_noblur
    
    "I nod, not sure how to feel."
    
    show cambill default at just_right with move
    show fliXmli fade at just_left with dissolve
    
    d '%(cambill)s: "They fall in love and live happily ever after..."'
    d '"Or at least as much as humans ever do."'
    
    hide fliXmli
    
    d 'Me: "What happens now?"'
    
    scene black with dissolve

    e "Death goes on, much like life."
    e "I still don't know what I'm doing here..."
    e "...or where I came from..."
    e "I wish I could have told her how I felt..."
    e "...but I know, somewhere out there, she's happy."
    e "...and, for now, that's enough."
    
    nvl clear
    
    jump ending
    
label ending_a3_xy:
    
    scene grey with dissolve
    
    "I don't know where I am."
    "What happened to %(flia)s?"
    
    "I shouldn't have tried to change things..."
    "...should have let Fate take its course..."
    "...but it's too late..."
    
    scene black with dissolve
    
    "Recriminations fill my thoughts as I find myself again in darkness."
    
    scene black with dissolve
    
    if pc_loves_li >= 3:
        e "I wish I could have told her all the things I wanted to..."
        e "Even if she didn't feel the same way."
    
    e "What will happen to me now...?"
    e "...I'm so tired of the dark..."
        
    jump ending
    
label ending_a4_xy:
    
    scene black with dissolve
    
    "I don't know where I am."
    
    scene street with dissolve
        
    show fli embarrassed at center with dissolve
    
    d '%(flia)s: "Sorry about that!"'
    
    show fli default at just_right with move    
    show mli default at just_left
    
    d '%(mlia)s: "It\'s all right, miss."'
    
    show fli attracted at just_right with dissolve
    show mli attracted at just_left with dissolve
    
    show cambill default at center
    
    d '%(cambill)s: "This is where you changed his Fate."'
    
    show fli default at just_right with dissolve
    show mli default at just_left with dissolve
    
    d '{i}%(flia)s: "Ah, sorry again."{/i}'
  
    show mli sad at just_left with dissolve
    
    d 'Me:  "What happens if I don\'t interfere this time?"'
    
    d '{i}%(mlia)s: "Wait, do you live around here?"{/i}'
    
    show mli default at just_left with dissolve
    
    d '%(cambill)s: "He was never supposed to die here."'
    d '"She saves him..."'
    d '"And they live happily ever after."'
    d '"Or at least as much as humans ever do."'
    
    "Oblivious to us, they continue forward towards..."
    "...the path they were supposed to take all along."
    
    d '{i}%(mlia)s: "Really?  You don\'t look old enough for that!"{/i}'
    
    show fli amused at just_right with dissolve
    
    "{i}%(flia)s laughs.{/i}"    
    d '{i}%(flia)s: "I get that a lot."{/i}'
    
    hide fli
    hide mli
    
    "They start walking."
    "They're moving away from us, talking."
    "I hear him say something, and her laugh in response."
    
    "I have just one thing left to do."
    
    menu menu_ending_a4_xy:
        "chase %(himher)s":
            "I can't let her go."
            "...I love her..."
            jump ending_a4_incarnate_xy
            
        "say good-bye":
            '"Good-bye, %(flia)s..."'
            "...good-bye..."
            jump ending_a4_disincarnate_xy

        "":
            jump menu_ending_a4_xy

label ending_a4_incarnate_xy:
    
    hide cambill
    "I dart forward."
    '"%(flia)s!  Wait!"'
    "She doesn't seem to hear me..."
    "...a gunshot rings out and I flinch, even as %(mlia)s staggers."
    
    scene black with dissolve
    
    "Everything goes black..."
    
    scene hospital fli with dissolve
    
    d '%(flia)s: "Are you all right?"'
    
    "I nod, feeling dazed."
    "I'm lying in a hospital bed?"
    
    show fli_noblur happy at center
    
    d '%(flia)s: "I\'m glad to hear that."'
    
    show fli_noblur default at center
    
    d '%(flia)s: "I brought you to the hospital..."'
    d '"They weren\'t sure if you were going to be all right."'
    d '"I\'m %(flia)s... what is your name?"'
    
    "I smile."
    'Me:  "%(mlia)s."'
    '"But my friends call me %(prot)s."'
    
    show fli_noblur amused at center
    
    d '%(flia)s: "%(prot)s, huh?  I like it."'
    
    scene black with dissolve

    e "It takes a while before I'm back on my feet."
    e "%(flia)s takes care of me, and our love grows as I heal."
    e "Memories come back every day..."
    e "...memories that aren't exactly mine..."
    e "...but I feel as if I'm guided by some reassuring hand every step of the way."
    
    e "...thank you, %(mlia)s, wherever you are..."
    
    nvl clear
    
    jump ending     
    
label ending_a4_disincarnate_xy:
    
    scene blue with dissolve

    show cambill default at center
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(flia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "She\'s fine."'
    
    show fli_noblur fade at just_right
    
    "I nod, not sure how I feel."
    "I made my choice, and I don't think I regret it..."
    "...but..."
    "{i}...I wish...{/i}"
    
    d '%(cambill)s: "You\'ve fixed your mistake, and you\'ve made others happy in the process."'
    
    show cambill default at just_right
    show fliXmli fade at just_left
    
    "They look happy, and if I envy him just a little, what does it matter?"
    
    hide fliXmli
    
    "I shake off the sadness, although I know some part of it will always be with me."
    "I look at %(cambill)s and have the oddest feeling he's looking back at me."
    
    d 'Me: "So... what happens now?"'
    
    d '%(cambill)s: "I don\'t suppose you\'d like a job as a guardian angel?"'
    
    scene black with dissolve

    e "Death goes on, much like life."
    e "I find being a guardian angel a rewarding challenge."
    e "I spend most of my time helping and protecting people."
    e "Sometimes I help lovers find each other, and I always smile..."
    e "...and I still miss her every day."
    
    e "Maybe someday I'll see him again..."
    e "...but I know that, for now, somewhere out there, he's happy."
    e "...and, somehow, that's enough."
    
    nvl clear
    
    jump ending
    
## female protagonist endings
##
label ending_a1_xx:
    
    scene hospital no_mli with eye_open
    
    d 'Me: "%(mlia)s?"'
    
    "My voice is a croak, the barest of sounds."
    "My head hurts, just a little."
    
    scene hospital mli with dissolve
    
    '%(mlia)s: "You\'re safe now."'
    "He takes my hand..."
    "...and I drift off again."
    
    scene black with dissolve
    $ renpy.pause(2.0)
    
    scene hospital with eye_open
    
    show mli_noblur happy at just_left
    
    '%(mlia)s:  "You\'re awake!"'
    "He grins at me..."
    "...and I can see it."
    
    show cambill default at just_right
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d '%(cambill)s:  "Fortunately for you, the original owner of that body volunteered to take your place as an angel..."'
    
    "I gawk at him."
    d 'Me: "I was a {i}what{/i}?"'
    
    show mli_noblur worried at just_left
    d '%(mlia)s: "You hit your head, but the docs say you\'ll be okay."'
    "Luckily, he thought I was talking to him."
    
    show mli_noblur default at just_left    
    show cambill fade at just_right
    show cambill fade at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    "Cambill starts to fade away."
    "I can just barely see him..."
    "But he sounds grumpy."
    
    d '%(cambill)s:  "She\'ll be better at it than you were anyway."'
    "He's fading away, but I hear him muttering under his breath as he goes."
    
    hide cambill
    
    d '"I swear, Someone Up There must be a sucker for love stories."'
    
    scene black with dissolve

    e "It takes a while before I'm back on my feet."
    e "%(mlia)s takes care of me, and our love grows as I heal."
    e "Memories come back every day..."
    e "...memories that aren't exactly mine..."
    e "...but I feel as if I'm guided by some reassuring hand every step of the way."
    
    e "...thank you, %(flia)s, thank you so very much..."
    
    nvl clear
    
    jump ending
    
label ending_a2_xx:
    
    "I don't know where I am."
    
    scene blue with dissolve
    
    show cambill default at center
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(mlia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "He\'s fine."'
    
    show mli_noblur fade at just_left with dissolve
    
    d '"In fact... so is %(flia)s, the original owner of the body."'
    
    show fli_noblur fade at just_right with dissolve
    
    d '"The Fates work in mysterious ways..."'
    
    hide fli_noblur
    hide mli_noblur
    
    "I nod, not sure how to feel."
    
    show cambill default at just_right
    show fliXmli fade at just_left with dissolve
    
    d '%(cambill)s: "They fall in love and live happily ever after..."'
    d '"Or at least as much as humans ever do."'
    
    hide fliXmli
    
    d 'Me: "What happens now?"'
    
    scene black with dissolve

    e "Death goes on, much like life."
    e "I still don't know what I'm doing here..."
    e "...or where I came from..."
    e "I wish I could have told him how I felt..."
    e "...but I know, somewhere out there, he's happy."
    e "...and, for now, that's enough."
    
    nvl clear
    
    jump ending
    
label ending_a3_xx:
    
    scene grey with dissolve
    
    "I don't know where I am."
    "What happened to %(mlia)s?"
    
    "I shouldn't have tried to change things..."
    "...should have let Fate take its course..."
    "...but now it's too late..."
    
    scene black with dissolve
    
    "Recriminations fill my thoughts as I find myself again in darkness."
    
    scene black with dissolve
    
    if pc_loves_li >= 3:
        e "I wish I could have told him all the things I wanted to..."
        e "Even if he didn't feel the same way."
    
    e "What will happen to me now...?"
    e "...I'm so tired of the dark..."
        
    jump ending
    
label ending_a4_xx:
    
    scene black with dissolve
    
    "I don't know where I am."
    
    scene street with dissolve
        
    show fli embarrassed at center with dissolve
    
    d '%(flia)s: "Sorry about that!"'
    
    show fli default at just_right with move    
    show mli default at just_left
    
    d '%(mlia)s: "It\'s all right, miss."'
    
    show fli attracted at just_right with dissolve
    show mli attracted at just_left with dissolve
    
    show cambill default at center
    
    d '%(cambill)s: "This is where you changed his Fate."'
    
    show fli default at just_right with dissolve
    show mli default at just_left with dissolve
    
    d '{i}%(flia)s: "Ah, sorry again."{/i}'
  
    show mli sad at just_left with dissolve
    
    d 'Me:  "What happens if I don\'t interfere this time?"'
    
    d '{i}%(mlia)s: "Wait, do you live around here?"{/i}'
    
    show mli default at just_left with dissolve
    
    d '%(cambill)s: "He was never supposed to die here."'
    d '"She saves him..."'
    d '"And they live happily ever after."'
    d '"Or at least as much as humans ever do."'
    
    "Oblivious to us, they continue forward towards..."
    "...the path they were supposed to take all along."
    
    d '{i}%(mlia)s: "Really?  You don\'t look old enough for that!"{/i}'
    
    show fli amused at just_right with dissolve
    
    "{i}%(flia)s laughs.{/i}"    
    d '{i}%(flia)s: "I get that a lot."{/i}'
    
    hide fli
    hide mli
    
    "They start walking."
    "They're moving away from us, talking."
    "I hear him say something, and her laugh in response."
    
    "I have just one thing left to do."
    
    menu menu_ending_a4_xx:
        "chase %(himher)s":
            "I can't let him go."
            "...I love him..."
            jump ending_a4_incarnate_xx
            
        "say good-bye":
            '"Good-bye, %(mlia)s..."'
            "...good-bye..."
            jump ending_a4_disincarnate_xx

        "":
            jump menu_ending_a4_xx

label ending_a4_incarnate_xx:
    
    hide cambill
    "I race forward."
    '"%(mlia)s!  Wait!"'
    "He doesn't seem to hear me..."
    "...a gunshot rings out and I flinch, even as %(mlia)s staggers."
    
    scene black with dissolve
    
    "Everything goes black..."
    
    scene hospital with flashbulb
    
    show mli_noblur worried at center
    d '%(mlia)s: "Are you all right?"'
    d '"You looked like you were about to pass out just now."'
    
    "I stare at him."
    "He has a bandage on one arm."
    "I'm standing in... a hospital examining room?"

    "He looks at me, a question in his eyes."

    "I nod, feeling dazed."    
    
    show mli_noblur happy at center
    
    d '%(mlia)s: "I\'m glad."'
    
    show mli_noblur amused at center
    
    '"I think only one of us should be walking wounded at a time."'
    
    "My worry must show on my face, because he holds up a hand."
    
    '%(mlia)s: "Hey, don\'t worry, my doc says I\'ll be fine.  Don\'t you?"'
    
    "He's teasing me again."
    "I realize, suddenly, that I do know that he's going to be all right."
    "I can remember tending to him outside, when the sniper shot him, too."
    
    show mli_noblur default at center
    
    d '%(mlia)s: "You saved my life out there."'
    "He doesn't say anything for a moment."
    d '"I\'m %(mlia)s... in the confusion, I didn\'t catch your name."'
    
    "I smile."
    'Me:  "It\'s %(flia)s."'
    '"But my friends call me %(prot)s."'
    
    show mli_noblur amused at center
    
    d '%(mlia)s: "%(prot)s, huh?  I like it."'
    
    scene black with dissolve

    e "It takes a while before he's back on his feet."
    e "I take care of him, and our love grows as we spend time together."
    e "Memories come back every day..."
    e "...memories that aren't exactly mine..."
    e "...but I feel as if I'm guided by some reassuring hand every step of the way."
    
    e "...thank you, %(flia)s, wherever you are..."
    
    nvl clear
    
    jump ending     
    
label ending_a4_disincarnate_xx:
    
    scene blue with dissolve

    show cambill default at center
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(mlia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "He\'ll be fine."'
    
    show mli_noblur fade at just_left
    
    "I nod, not sure how I feel."
    "I made my choice, and I don't think I regret it..."
    "...but..."
    "{i}...I wish...{/i}"
    
    d '%(cambill)s: "You\'ve fixed your mistake, and you\'ve made others happy in the process."'
    
    show cambill default at just_right
    show fliXmli fade at just_left
    
    "They look happy, and if I envy her just a little, what does it matter?"
    
    hide fliXmli
    
    "I shake off the sadness, although I know some part of it will always be with me."
    "I look at %(cambill)s and have the oddest feeling he's looking back at me."
    
    d 'Me: "So... what happens now?"'
    
    d '%(cambill)s: "I don\'t suppose you\'d like a job as a guardian angel?"'

    scene black with dissolve

    e "Death goes on, much like life."
    e "I find being a guardian angel a rewarding challenge."
    e "I spend most of my time helping and protecting people."
    e "Sometimes I help lovers find each other, and I always smile..."
    e "...and I still miss him every day."
    
    e "Maybe someday I'll see him again..."
    e "...but I know that, for now, somewhere out there, he's happy."
    e "...and, somehow, that's enough."
    
    nvl clear
    
    jump ending
    
########################
## Fatalistic Endings ##
########################

## male protagonist endings
label ending_b1_xy:
    
    scene blue with dissolve
    
    d 'Me: "%(flia)s?"'
    
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d '%(cambill)s:  "She\'ll be here soon."'
    
    "No, that can't be right."
    
    d 'Me:  "But it wasn\'t her time!  You said it was his!"'
    
    d '%(cambill)s:  "Er... I was mistaken."'
    
    "Is it my imagination, or does he sound embarrassed?"
    "I open my mouth to yell at him, but..."
    
    show cambill default at just_left with move
    show fli_noblur default at just_right with dissolve
    show fli_noblur worried at just_right with dissolve
    
    d '%(flia)s:  "Where... where am I?"'
    d '"Who are you?"'
    
    "She's looking at me..."
    "For an instant I hesitate."
    "How will she react?"
    
    d 'Me:  "It\'s me, %(prot)s."'
    
    "I hold my breath, wondering what she's thinking."
    "...and then she throws herself into my arms."
    
    scene black with dissolve
    
    e "There's no need for words just yet..."
    e "We have all of eternity ahead of us for that."
    e "For now, I'm just grateful to have her here with me."
    e "No more darkness for either of us."
    
    nvl clear
    
    jump ending
    
label ending_b2_xy:
    
    "I don't know where I am."
    
    scene blue with dissolve

    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(flia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "She\'s unharmed."'
    
    show cambill default at just_left
    
    show fli_noblur fade at just_right with dissolve
    
    d '"%(mlia)s, the original owner of the body you borrowed, has met his fate."'
    d '"Naturally, %(flia)s was upset about it, but mortals are resilient."'
    d '"In fact, she\'ll become an even better doctor because of it."'
    
    hide fli_noblur
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    "I nod, not sure how to feel."
    "Did I do the right thing?"
    
    d 'Me: "What happens now?"'
    
    scene black with dissolve
    
    e "Death goes on, much like life."
    e "I look in on her sometimes, and she's doing well."
    e "I wish I could have told her how I felt..."
    e "...but I know, somewhere out there, she's alive."
    e "...and that's enough."
    
    nvl clear
    
    jump ending
    
label ending_b3_xy:
    
    scene grey with dissolve
    
    "I don't know where I am."
    "What happened to %(flia)s?"
    
    "I should have tried to change things..."
    "...should have tried..."
    "...anything to avoid this place again."
    
    scene black with dissolve
    
    "Recriminations fill my thoughts as I find myself again in darkness."
    
    scene black with dissolve
    
    if pc_loves_li >= 3:
        e "I wish I could have told her all the things I wanted to..."
        e "Even if she didn't feel the same way."
    
    e "What will happen to me now...?"
    e "...I'm so tired of the dark..."
        
    jump ending
    
label ending_b4_xy:
    
    scene black with dissolve
    
    "I don't know where I am."
    
    scene street with dissolve
        
    show fli embarrassed at center with dissolve
    
    d '%(flia)s: "Sorry about that!"'
    
    show fli default at just_right with move    
    show mli default at just_left
    
    d '%(mlia)s: "It\'s all right, miss."'
    
    show fli attracted at just_right with dissolve
    show mli attracted at just_left with dissolve
    
    show cambill default at center
    
    d '%(cambill)s: "This is where you changed his Fate."'
    
    show fli default at just_right with dissolve
    show mli default at just_left with dissolve
    
    d '{i}%(flia)s: "Ah, sorry again."{/i}'
  
    show mli sad at just_left with dissolve
    
    d 'Me:  "What happens if I don\'t interfere this time?"'
    
    d '{i}%(mlia)s: "Wait, do you live around here?"{/i}'
    
    show mli default at just_left with dissolve
    
    d '%(cambill)s: "He dies."'
    d '"She can\'t save him..."'
    d '"But the experience makes her stronger."'
    
    "Oblivious to us, they continue forward towards..."
    "...the path they were supposed to take all along."
    
    d '{i}%(mlia)s: "Really?  You don\'t look old enough for that!"{/i}'
    
    show fli amused at just_right with dissolve
    
    "{i}%(flia)s laughs.{/i}"    
    d '{i}%(flia)s: "I get that a lot."{/i}'
    
    hide fli
    hide mli
    
    "They start walking."
    "They're moving away from us, talking."
    "I hear him say something, and her laugh in response."
    
    "I have just one thing left to do."
    
    menu menu_ending_b4_xy:
        "chase %(himher)s":
            "I can't let her go."
            "...I love her..."
            jump ending_b4_incarnate_xy
            
        "say good-bye":
            '"Good-bye, %(flia)s..."'
            "...good-bye..."
            jump ending_b4_disincarnate_xy

        "":
            jump menu_ending_b4_xy

label ending_b4_incarnate_xy:
    
    hide cambill
    
    "I dart forward."
    "I've stood by for too long already."
    "Maybe I don't have a chance..."
    "...but I'm at least going to try."
    '"%(flia)s!  Wait!"'
    "She seems to hear me, half-turning to look behind her."
    "...a gunshot rings out and I flinch, even as she stumbles."
    
    scene black with dissolve
    
    "Everything goes black..."
    
    scene blue with dissolve
    
    show fli_noblur default at center
    
    d '%(flia)s: "Are you all right?"'
    d '"Who are you?"'
    d '"Where are we?"'
    
    "I stare at her, wordlessly."
    "Does this means she's dead too?"
    
    show fli_noblur worried at center
    
    d 'Me:  "I think you\'re... we\'re... dead."'
    
    "She absorbs the knowledge for a moment, then, to my surprise, nods."
    d '%(flia)s:  "Somehow, I know you\'re right."'
    "She looks at me carefully."
    d '%(flia)s:  "You seem so familiar to me, and yet..."'
    
    show fli_noblur worried at just_right with move
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)

    d '%(flia)s:  "What is that?"'
    
    d 'Me:  "Er, that\'s %(cambill)s.  You wouldn\'t be able to pronounce his real name..."'
    
    "I let my voice trail off, suddenly realizing how lame I sound."
    
    show fli_noblur default at just_right
    
    d '%(cambill)s:  "I\'m afraid there\'s been a mistake."'
    
    "He coughs."
    
    d '"%(mlia)s wasn\'t supposed to die there after all."'
    d '"%(flia)s was."'
    
    d 'Me:  "What?  But you said--"'
    
    show fli_noblur default at just_right
    
    d '%(flia)s:  "There\'s no sense in arguing about it."'
    d '"Unless things can be changed?"'
    
    d '%(cambill)s:  "I\'m afraid not."'
    
    d "She takes a deep breath, as if putting the past behind her."
    d "I envy her ability to adapt."
    
    d '%(flia)s:  "So... you already know my name.  What do I call you?"'
    d 'Me:  "%(prot)s."'
    
    "She somehow manages a smile."
    show fli_noblur amused at center
    
    d '%(flia)s: "%(prot)s, huh?  I like it."'
    
    scene black with dissolve

    e "We face the darkness together..."
    e "And somehow it doesn't seem as dark with %(flia)s by my side."
    e "I confess my role in her death as soon as I can."
    e "She forgives me for not saving her, saying it was Fate's fault, not mine."
    e "...it takes me much longer to forgive myself."
    
    nvl clear
    
    jump ending     
    
label ending_b4_disincarnate_xy:
    
    scene blue with dissolve

    show cambill default at center
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(flia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "She\'s fine."'
    
    show fli_noblur fade at just_right
    
    "I nod, not sure how I feel."
    "I made my choice, and I don't think I regret it..."
    "...but..."
    "{i}...I wish...{/i}"
    
    d '%(cambill)s: "You\'ve fixed your mistake, and that\'s something."'
    d '"She won\'t be able to save %(mlia)s..."'
    d '"...but she will go on to pioneer a revolutionary treatment for gunshot victims."'
    d '"Countless lives will be saved."'
    
    "That's something, isn't it?"
    
    "{i}...I wish...{/i}"
    
    "I shake off the sadness, although I know some part of it will always be with me."
    "I look at %(cambill)s and have the oddest feeling he's looking back at me."
    
    d 'Me: "So... what happens now?"'
    
    d '%(cambill)s: "I don\'t suppose you\'d like a job as an angel of fate?"'
    
    scene black with dissolve

    e "Death goes on, much like life."
    e "I find being an angel of fate a rewarding challenge."
    e "I spend most of my time fixing things that have gone wrong with Fate."
    e "Sometimes the results of my work are happy, sometimes sad..."
    e "...and I still miss her every day."
    e "Maybe someday I'll see her again..."
    e "...but I know that, for now, somewhere out there, she's alive."
    e "...and, somehow, that's enough."
    
    nvl clear
    
    jump ending
    
## female protagonist endings
##
label ending_b1_xx:
    
    scene blue with dissolve
    
    "I open my eyes."

    show cambill default at center
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(mlia)s?"'
    
    "My voice is a croak, the barest of sounds."
    
    d '%(cambill)s: "He met his fate."'
    
    "I nod, quietly."
    "It's what I let happen..."
    "Could I even have changed things had I tried?"
    
    show cambill default at just_right with move
    show mli_noblur default at just_left with dissolve
    show mli_noblur worried at just_left with dissolve
    
    d '%(mlia)s:  "Where... where am I?"'
    d '"Who are you?"'
    
    "He's looking at me..."
    "For an instant I hesitate."
    "How will he react?"
    
    d 'Me:  "It\'s me, %(prot)s."'
    
    "I hold my breath, wondering what he's thinking."
    "...and then he pulls me into my arms."
    
    scene black with dissolve
    
    e "There's no need for words just yet..."
    e "We have all of eternity ahead of us for that."
    e "For now, I'm just grateful to have him here with me."
    e "No more darkness for either of us."
    
    nvl clear
    
    jump ending
    
label ending_b2_xx:
    
    "I don't know where I am."
    
    scene blue with dissolve
    
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(mlia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "He met his fate."'
    
    show cambill default at just_right
    
    show mli_noblur fade at just_left with dissolve
    
    d '"He\'s badly wounded, but %(flia)s will manage to keep him alive."'
    d '"She will go on to pioneer a revolutionary treatment for gunshot victims."'
    d '"They\'ll stay friends, too."'
    
    hide mli_noblur
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    "I nod, not sure how to feel."
    "Did I do the right thing?"
    
    d 'Me: "What happens now?"'
    
    scene black with dissolve
    
    e "Death goes on, much like life."
    e "I look in on him sometimes, and he's doing well."
    e "I wish I could have told him how I felt..."
    e "...but I know, somewhere out there, he's alive."
    e "...and that's enough."
    
    nvl clear
    
    jump ending
    
label ending_b3_xx:
    
    scene grey with dissolve
    
    "I don't know where I am."
    "What happened to %(mlia)s?"
    
    "I should have tried to change things..."
    "...should have tried..."
    "...anything to avoid this place again."
    
    scene black with dissolve
    
    "Recriminations fill my thoughts as I find myself again in darkness."
    
    scene black with dissolve
    
    if pc_loves_li >= 3:
        e "I wish I could have told him all the things I wanted to..."
        e "Even if he didn't feel the same way."
    
    e "What will happen to me now...?"
    e "...I'm so tired of the dark..."
        
    jump ending
    
label ending_b4_xx:
    
    scene black with dissolve
    
    "I don't know where I am."
    
    scene street with dissolve
        
    show fli embarrassed at center with dissolve
    
    d '%(flia)s: "Sorry about that!"'
    
    show fli default at just_right with move    
    show mli default at just_left
    
    d '%(mlia)s: "It\'s all right, miss."'
    
    show fli attracted at just_right with dissolve
    show mli attracted at just_left with dissolve
    
    show cambill default at center
    
    d '%(cambill)s: "This is where you changed his Fate."'
    
    show fli default at just_right with dissolve
    show mli default at just_left with dissolve
    
    d '{i}%(flia)s: "Ah, sorry again."{/i}'
  
    show mli sad at just_left with dissolve
    
    d 'Me:  "What happens if I don\'t interfere this time?"'
    
    d '{i}%(mlia)s: "Wait, do you live around here?"{/i}'
    
    show mli default at just_left with dissolve
    
    d '%(cambill)s: "He\'ll die here."'
    d '"She can\'t save him..."'
    d '"But the experience makes her stronger."'
    
    "Oblivious to us, they continue forward towards..."
    "...the path they were supposed to take all along."
    
    d '{i}%(mlia)s: "Really?  You don\'t look old enough for that!"{/i}'
    
    show fli amused at just_right with dissolve
    
    "{i}%(flia)s laughs.{/i}"    
    d '{i}%(flia)s: "I get that a lot."{/i}'
    
    hide fli
    hide mli
    
    "They start walking."
    "They're moving away from us, talking."
    "I hear him say something, and her laugh in response."
    
    "I have just one thing left to do."
    
    menu menu_ending_b4_xx:
        "chase %(himher)s":
            "I can't let him go."
            "...I love him..."
            jump ending_b4_incarnate_xx
            
        "say good-bye":
            '"Good-bye, %(mlia)s..."'
            "...good-bye..."
            jump ending_b4_disincarnate_xx

        "":
            jump menu_ending_b4_xx

label ending_b4_incarnate_xx:
    
    scene blue with dissolve

    show cambill default at center
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)
    
    d 'Me: "%(mlia)s?"'
    
    "My voice cracks a little, and I cough to clear it."
    
    d '%(cambill)s: "He\'ll be fine."'
    
    show mli_noblur fade at just_left
    
    "I nod, not sure how I feel."
    "I made my choice, and I don't think I regret it..."
    "...but..."
    "{i}...I wish...{/i}"
    
    d '%(cambill)s:  "The Powers That Be have decided that things will work out better this way anyway.'
    d '"It takes him a long time to recover from his injuries."'
    d '"But he\'ll be stronger for it."'
    
    "I shake off the sadness, although I know some part of it will always be with me."
    "I look at %(cambill)s and have the oddest feeling he's looking back at me."
    
    d 'Me: "So... what happens now?"'
    
    d '%(cambill)s: "I don\'t suppose you\'d like a job as a guardian angel?"'
    
    scene black with dissolve

    e "Death goes on, much like life."
    e "I find being a guardian angel a rewarding challenge."
    e "I spend most of my time helping and protecting people."
    e "Sometimes I help lovers find each other, and I always smile..."
    e "...and I still miss him every day."
    
    e "Maybe someday I'll see him again..."
    e "...but I know that, for now, somewhere out there, he's happy."
    e "...and, somehow, that's enough."
    
    nvl clear
    
    jump ending    
    
label ending_b4_disincarnate_xx:
    
    scene black with dissolve
    
    "Everything goes black..."
    
    scene blue with dissolve
    
    show mli_noblur default at center
    
    d '%(mlia)s: "Are you all right?"'
    d '"Who are you?"'
    d '"Where are we?"'
    
    "I stare at him, wordlessly."
    "He's dead, and I didn't try to stop it."
    "Could I have...?"
    
    show mli_noblur worried at center
    
    d 'Me:  "I think you\'re... we\'re... dead."'
    
    "He shakes his head, then stops."
    d '%(mlia)s:  "Why do I know you\'re telling the truth?"'
    d '"How do I know you...?"'
    "He looks at me carefully."
    d '%(mlia)s:  "You seem so familiar to me, and yet..."'
    
    show mli_noblur worried at just_right with move
    show cambill default at Revolve(0, 360, 6, bounce=True, repeat=True)

    d '%(mlia)s:  "What is that?"'
    
    d 'Me:  "Er, that\'s %(cambill)s.  You wouldn\'t be able to pronounce his real name..."'
    
    "I let my voice trail off, suddenly realizing how lame I sound."
    
    show fli_noblur default at just_right
    
    d '%(cambill)s:  "Well, things have gone as expected."'
    d '"Fate is very pleased with you."'
    
    "I nod, swallowing hard."
    "Why am I not pleased with myself?"
    
    show mli_noblur default at just_right
    
    "%(mlia)s squares his shoulders and takes a deep breath."
    
    d '%(mlia)s:  "There\'s no sense in crying about it."'
    d '"Unless things can be changed?"'
    
    d '%(cambill)s:  "I\'m afraid not."'
    
    d "He nods, then looks at me."
    
    d '%(mlia)s:  "So... you already know my name.  What do I call you?"'
    d 'Me:  "%(prot)s."'
    
    "He somehow manages a smile."
    show mli_noblur amused at center
    
    d '%(mlia)s: "%(prot)s, huh?  I like it."'
    
    scene black with dissolve

    e "We face the darkness together..."
    e "And somehow it doesn't seem as dark with %(mlia)s by my side."
    e "I confess my role in his death as soon as I can."
    e "He forgives me for not saving him, saying it was Fate's fault, not mine."
    e "...it takes me much longer to forgive myself."
    
    nvl clear
    
    jump ending 

#######################
## Alternate Endings ##
#######################

## male protagonist endings
label ending_c1_xy:
    
    scene blue with dissolve
    
    "Where am I?"
    
    d '%(flia)s:  "...%(prot)s..."'
    
    "Her voice is very faint..."
    "I can barely make it out."
    
    "I wish I was with her..."
    "...and I am."
    
    show fli_noblur worried_fade at center with dissolve
    
    d '%(flia)s:  "%(prot)s?  Where are you?"'
    "She doesn't seem to see me."
    "It's like we're separated by a wall..."
    
    d 'Me: "%(flia)s!  I\'m here!"'
    "I shout, but she doesn't even look my way."
    
    show fli_noblur worried_fade at just_left with move
    show cambill default at just_right with dissolve
    
    d 'Me: "%(cambill)s, what\'s going on?"'

    d '"Why can\'t %(flia)s hear me?"'
    
    d '%(cambill)s:  "Remember I said you had to make a choice?"'
    
    "I nod, slowly."
    
    d '%(cambill)s:  "That body wasn\'t supposed to die there."'
    d '"%(flia)s was supposed to save his life..."'
    d '"Then they\'d fall in love, and live happily ever after."'
    
    "I nod, but my feelings are all twisted up inside."
    "I want her to be happy..."
    
    d '%(cambill)s:  "You\'ve managed to have everything work out as it should..."'
    d '"Except for one tiny detail."'
    d '"She\'s fallen in love with you instead."'
    
    hide cambill with dissolve
    show fli_noblur worried at center with move
    
    d '%(flia)s:  "%(prot)s!"'
    
    show fli_noblur happy at center
    
    "She can see me...?"
    
    show fli_noblur default at center
    
    d '%(flia)s:  "Where are we?"'
    
    "Someplace you don't belong, I want to say, but I shake my head a little."

    d 'Me:  "It doesn\'t matter."'
    
    "I'm supposed to say good-bye..."
    "...and let her go back to her life..."
    "...I want to tell her..."
    
    menu menu_alt_path_choice_xy:
        "goodbye":
            jump ending_c1_goodbye_xy
        "love you":
            jump ending_c1_declare_love_xy
        "":
            jump menu_alt_path_choice_xy
            
label ending_c1_goodbye_xy:
    
    d 'Me:  "I wasn\'t supposed to be there."'
    d '"He\'s the one you\'re supposed to love."'
    
    "Shee looks at me blankly, then shakes her head."
    
    d '%(flia)s:  "I don\'t care who... or what... you are."'
    
    "She throws herself in my arms and I hold her tight."
    "There is no doubt in her voice."
    
    d '%(flia)s:  "I love you."'

    show fli_noblur worried at center
    
    "She searches my face, her eyes vulnerable."
    "I'm already dead... how can I hurt so much?"
    d 'Me:  "I... I\'ll always..."'
    "I can't breathe."
    d '"I\'ll miss you."'

    show fli_noblur default at center
    
    d '%(flia)s:  "What?"'
    "She shakes her head, her voice fierce."
    d '%(flia)s:  "I\'m not going anywhere."'
    
    "She sounds certain, but..."
    "...I've already chosen for her."
    "I won't let her die."
    "Not for me."
    
    show fli_noblur worried_fade_slight at center with dissolve
    
    d '%(flia)s:  "%(prot)s, you\'re fading--"'
    d '"I can\'t hold you--"'
    
    show fli_noblur sad_fade at center with dissolve
    
    d '"%(prot)s!  I won\'t leave you--"'
    
    hide fli with dissolve
    
    scene blue with dissolve
    $ renpy.pause(3.0)
    
    scene black with dissolve
    
    e "I watch over her as she tends to %(mlia)s\'s wounds."
    e "When he wakes up, he isn't me..."
    e "I can tell by the pain in her eyes that she had hoped..."
    
    nvl clear
    
    e "Time heals the wounds we survive..."
    e "She goes back to her life, and she seems happy enough."
    e "...but there's a sadness in her that wasn't there before."

    nvl clear
    
    e "...and sometimes, when I look in on her..."
    e "...she looks up at me as if she can see me..."
    e "...and she always smiles, just a little."    
            
    nvl clear
    
    jump ending 

label ending_c1_declare_love_xy:
    
    "Even if it won't change anything."
    "Even if my heart breaks admitting it."
    "Even if... even if this is good-bye forever."
    "I want her to know how I feel."
    
    d 'Me:  "I love you."'
    "I cross the space between us with a thought and gather her into my arms."
    "Where I want her to be forever..."
    "She laughs, with relief and happiness."
    
    show fli_noblur happy at center
    
    d '%(flia)s:  "I love you too."'

    show fli_noblur worried at center
    
    "She searches my face, sensing something is still wrong."
    "I don't want to say the words, even though I know..."
    "I know what has to happen."
    "I'm already dead... how can I hurt so much?"
    
    d 'Me:  "I... I don\'t think we..."'
    
    "I have to stop."
    "I can't breathe."
    
    d '"We can\'t stay together."'
    d '"You have to go back to your life."'
    
    show fli_noblur default at center
    
    "She looks at me blankly, then shakes her head."
    
    d '%(flia)s:  "My life is wherever you are."'
    "She says it simply, as if it's just the way things are..."
    "...but I know the fates aren't always that kind."
    
    d 'Me:  "I wish..."'
    d '"I wish I could go with you."'

    d '%(flia)s:  "What?"'
    
    show fli_noblur worried at center
    
    "She shakes her head, her arms tight around me."
    d '%(flia)s:  "I\'m not going anywhere."'
    
    "She sounds stubborn, but..."
    "...I won't let her choose to die for me."
    
    show fli_noblur worried_fade_slight at center with dissolve
    
    d '%(flia)s:  "%(prot)s, you\'re fading--"'
    d '"I can\'t hold you--"'
    
    show fli_noblur sad_fade at center with dissolve
    
    d '"%(prot)s!  I won\'t leave you--"'
    
    hide fli with dissolve
    
    scene blue with dissolve
    $ renpy.pause(3.0)
    
    jump ending_c2_xy
    
label ending_c2_xy:
    
    scene black with flashbulb
    
    scene hospital with eye_open
    
    "Where am I?"
    
    show fli_noblur worried at center with dissolve
    
    d '%(flia)s:  "%(prot)s?"'
    
    "She hesitates, and I realize she's holding her breath."
    
    show cambill fade at just_right
    
    if ending == "c1":
        d '%(cambill)s:  "Lucky for you, %(mlia)s volunteered to trade places with you."'
        d '"He\'ll be a better guardian angel than you were, anyway."'
    else:
        d '%(cambill)s:  "Even the Fates know better than to get in the way of true love."'
    "I can just barely see him..."
    "But he sounds grumpy."
    d '%(cambill)s:  "Well, answer the poor girl already!"'
    
    hide cambill with dissolve
    
    show fli_noblur sad at center
    
    "%(flia)s face falls and she starts to turn away."

    d 'Me:  "Wait!"'
    d '"I\'m me!"'
    
    "I try to sit up, and immediately wish I hadn't."
    "Ugh!  My head!"
    "My chest hurts, too, but not so much."
    
    show fli_noblur default at center
    
    "She catches my hand, searching my face."
    
    d '%(flia)s:  "Is it really you?"'

    "My head is throbbing like a drum."
    
    d 'Me:  "What\'s left of me, anyway.  What happened?"'
    
    show fli_noblur happy at center
    
    "She starts to laugh, then throws herself into my arms..."
    "...and the kiss she gives me makes me completely forget all my hurts."
    
    scene black with dissolve
    
    e "She takes care of me while I recover."
    e "Memories slowly come back..."
    e "...not exactly mine, but of the life this body used to lead."
    
    nvl clear

    e "It takes me a while to learn how to be human again..."
    e "But I don't see spirits anymore."
    e "All of our ghosts have been laid to rest."
            
    nvl clear
    
    jump ending 
    
## female protagonist endings
label ending_c1_xx:
    
    scene blue with dissolve
    
    "Where am I?"
    
    d '%(mlia)s:  "...%(prot)s..."'
    
    "His voice is very faint..."
    "I can barely make it out."
    
    "I wish I was with him..."
    "...and I am."
    
    show mli_noblur worried_fade at center with dissolve
    
    d '%(mlia)s:  "%(prot)s?  Where are you?"'
    "He doesn't seem to see me."
    "It's like we're separated by a wall..."
    
    d 'Me: "%(mlia)s!  I\'m here!"'
    "I shout, but he doesn't even look my way."
    
    show mli_noblur worried_fade at just_left with move
    show cambill default at just_right with dissolve
    
    d 'Me: "%(cambill)s, what\'s going on?"'

    d '"Why can\'t %(mlia)s hear me?"'
    
    d '%(cambill)s:  "Remember I said you had to make a choice?"'
    
    "I nod, slowly."
    
    d '%(cambill)s:  "He was never supposed to die there."'
    d '"%(flia)s was supposed to save his life..."'
    d '"Then they\'d fall in love, and live happily ever after."'
    
    "I nod, but my feelings are all twisted up inside."
    "I want him to be happy..."
    
    d '%(cambill)s:  "You\'ve managed to have everything work out as it should..."'
    d '"Except for one tiny detail."'
    d '"He\'s fallen in love with you instead."'
    
    hide cambill with dissolve
    show mli_noblur worried at center with move
    
    d '%(mlia)s:  "%(prot)s!"'
    
    show mli_noblur happy at center
    
    "He can see me...?"
    
    show mli_noblur default at center
    
    d '%(mlia)s:  "Where are we?"'
    
    "Someplace you don't belong, I want to say, but I shake my head a little."

    d 'Me:  "It doesn\'t matter."'
    
    "I'm supposed to say good-bye..."
    "...and let him go back to his life..."
    "...I want to tell him..."
    
    menu menu_alt_path_choice_xx:
        "goodbye":
            jump ending_c1_goodbye_xx
        "love you":
            jump ending_c1_declare_love_xx
        "":
            jump menu_alt_path_choice_xx
            
label ending_c1_goodbye_xx:
    
    d 'Me:  "I got in the way."'
    d '"I was never supposed to be there."'
    
    "He looks at me blankly, then shakes his head."
    
    d '%(mlia)s:  "I\'m glad you were."'
    d '"I wouldn\'t change a moment since I met you."'
    "He says it fiercely, as if willing me to believe him."
    d '%(mlia)s:  "I realized something when I saw... saw you in danger."'
    "He crosses the space between us and I'm in his arms."
    "Where I want to be forever..."
    d '%(mlia)s:  "I love you."'

    show mli_noblur worried at center
    
    "He searches my face, his eyes vulnerable."
    "I'm already dead... how can I hurt so much?"
    d 'Me:  "I... I\'ll always..."'
    "I can't breathe."
    d '"I\'ll miss you."'

    show mli_noblur default at center
    
    d '%(mlia)s:  "What?"'
    "He shakes his head, holding me tighter."
    d '%(mlia)s:  "I\'m not going anywhere."'
    
    "He sounds stubborn, but..."
    "...I've chosen for him."
    "I won't let him die."
    "Not for me."
    
    show mli_noblur worried_fade_slight at center with dissolve
    
    d '%(mlia)s:  "%(prot)s, you\'re fading--"'
    d '"I can\'t hold you--"'
    
    show mli_noblur sad_fade at center with dissolve
    
    d '"%(prot)s!  I won\'t leave you--"'
    
    hide mli with dissolve
    
    scene blue with dissolve
    $ renpy.pause(3.0)
    
    scene black with dissolve
    
    e "I watch over him as he wakes in the hospital."
    e "%(flia)s is his doctor, but he requests a different one."
    e "The pain in his eyes whenever he looks at her is a debt I earned."
    
    nvl clear
    
    e "Time heals the wounds we survive..."
    e "He goes back to his life, and he seems happy enough."
    e "...but there's a sadness in him that wasn't there before."

    nvl clear
    
    e "...and sometimes, when I look in on him..."
    e "...he looks up at me as if he can see me..."
    e "...and his eyes are the color of the sky."    
            
    nvl clear
    
    jump ending 

label ending_c1_declare_love_xx:
    
    "Even if it won't change anything."
    "Even if my heart breaks admitting it."
    "Even if... even if this is good-bye forever."
    "I want him to know how I feel."
    
    d 'Me:  "I love you."'
    "He crosses the space between us and I'm in his arms."
    "Where I want to be forever..."
    d '%(mlia)s:  "I love you too."'

    show mli_noblur worried at center
    
    "He searches my face, sensing something is still wrong."
    "I don't want to say the words, even though I know..."
    "I know what has to happen."
    "I'm already dead... how can I hurt so much?"
    
    d 'Me:  "I... I don\'t think we..."'
    
    "I have to stop."
    "I can't breathe."
    
    d '"We can\'t stay together."'
    d '"You have to go back to your life."'
    
    show mli_noblur default at center
    
    "He looks at me blankly, then shakes his head."
    
    d '%(mlia)s:  "My life is wherever you are."'
    "He says it simply, as if it's just the way things are..."
    "...but I know the fates aren't always that kind."
    
    d 'Me:  "I wish..."'
    d '"I wish I could go with you."'

    d '%(mlia)s:  "What?"'
    
    show mli_noblur worried at center
    
    "He shakes his head, holding me tighter."
    d '%(mlia)s:  "I\'m not going anywhere."'
    
    "He sounds stubborn, but..."
    "...I won't let him choose to die for me."
    
    show mli_noblur worried_fade_slight at center with dissolve
    
    d '%(mlia)s:  "%(prot)s, you\'re fading--"'
    d '"I can\'t hold you--"'
    
    show mli_noblur sad_fade at center with dissolve
    
    d '"%(prot)s!  I won\'t leave you--"'
    
    hide mli with dissolve
    
    scene blue with dissolve
    $ renpy.pause(3.0)
    
    jump ending_c2_xx
    
label ending_c2_xx:
    
    scene black with flashbulb
    
    scene hospital with eye_open
    
    "Where am I?"
    
    show mli_noblur worried at center with dissolve
    
    d '%(mlia)s:  "%(prot)s?"'
    
    "He hesitates, and I realize he's holding his breath."
    
    show cambill fade at just_right
    
    if ending == "c1":
        d '%(cambill)s:  "He\'s too stubborn to fall in love with her now anyway."'
    else:
        d '%(cambill)s:  "Even the Fates know better than to get in the way of true love."'
    "I can just barely see him..."
    "But he sounds grumpy."
    d '%(cambill)s:  "Well, answer the poor guy already!"'
    
    hide cambill with dissolve
    
    show mli_noblur sad at center
    
    "%(mlia)s face falls and he starts to turn away."

    d 'Me:  "Wait!"'
    d '"I\'m me!"'
    
    "I try to sit up, and immediately wish I hadn't."
    "Ugh!  My head!"
    
    show mli_noblur default at center
    
    "He catches my hand, searching my face."
    
    d '%(mlia)s:  "Is it really you?"'

    "My head is throbbing like a drum."
    
    d 'Me:  "What\'s left of me, anyway.  What happened?"'
    
    show mli_noblur happy at center
    
    "He starts to laugh, then pulls me into his arms..."
    "...and the kiss he gives me makes me completely forget all my hurts."
    
    scene black with dissolve
    
    e "He stays by my side while I recover."
    e "Memories slowly come back..."
    e "...not exactly mine, but of the life this body used to lead."
    
    nvl clear

    e "It takes me a while to learn how to be human again..."
    e "But I don't see spirits anymore."
    e "All of our ghosts have been laid to rest."
            
    nvl clear
    
    jump ending 

    
    