﻿## Script
## Image declarations, splash screen, opening sequence, and miscellaneous debugging labels.

init:
    
    ## Background images.
    image grey = Solid((135, 135, 135, 255))
    image black = Solid((0, 0, 0, 255))
    image white = Solid((255, 255, 255, 255))
    image blue = "#171625"
    
    image street = "street.png"
    
    image cafe outside = "cafe_outside.png"
    image cafe outside_dark = "cafe_outside_dark.png"
    image cafe foyer = "cafe_foyer.png"
    image cafe table = "cafe_table.png"

    image park lawn = "park_lawn.png"
    image park riverbank = "park_riverbank.png"
    image park waterfall = "park_waterfall.png"
    image park rest_area = "park_rest_area.png"
    image park rest_area_dark = "park_rest_area_dark.png"
    image park rest_area_darkest = "park_rest_area_darkest.png"
    image park behind_waterfall = "park_behind_waterfall2.png"
    
    image hospital no_fli = "ceiling.png"
    image hospital fli = im.Composite(None, (0, 0), "ceiling.png", (0, 0), "aending1.png")
    image hospital no_mli = "ceiling.png"
    image hospital mli = im.Composite(None, (0, 0), "ceiling.png", (0, 0), "eending1.png")
    image hospital = "hospital.png"
    
    ## Character images.
    ## female blurry images
    ## emotions will need third clause for expression
    image fli default = im.Composite(None, (0, 0), "amelie_default.png", (0, 0), "amelie_blur.png",
                                           (0, 0), "amelie_aura_default.png")
    image fli embarrassed = im.Composite(None, (0, 0), "amelie_embarrassed.png", (0, 0), "amelie_blur.png",
                                               (0, 0), "amelie_aura_embarrassed.png")
    image fli attracted = im.Composite(None, (0, 0), "amelie_embarrassed.png", (0, 0), "amelie_blur.png",
                                             (0, 0), "amelie_aura_attracted.png")
    image fli amused = im.Composite(None, (0, 0), "amelie_amused.png", (0, 0), "amelie_blur.png",
                                          (0, 0), "amelie_aura_amused.png")
    image fli worried = im.Composite(None, (0, 0), "amelie_worried.png", (0, 0), "amelie_blur.png",
                                           (0, 0), "amelie_aura_worried.png")
    image fli happy = im.Composite(None, (0, 0), "amelie_happy.png", (0, 0), "amelie_blur.png",
                                         (0, 0), "amelie_aura_happy.png")
    image fli sad = im.Composite(None, (0, 0), "amelie_sad.png", (0, 0), "amelie_blur.png",
                                       (0, 0), "amelie_aura_sad.png")
    image fli annoyed = im.Composite(None, (0, 0), "amelie_worried.png", (0, 0), "amelie_blur.png",
                                           (0, 0), "amelie_aura_annoyed.png")
    image fli angry = im.Composite(None, (0, 0), "amelie_worried.png", (0, 0), "amelie_blur.png",
                                           (0, 0), "amelie_aura_angry.png")
    
    ## male blurry images
    ## emotions will need third clause for expression
    image mli default = im.Composite(None, (0, 0), "edward_default.png", (0, 0), "edward_blur.png",
                                           (0, 0), "edward_aura_default.png")
    image mli embarrassed = im.Composite(None, (0, 0), "edward_embarrassed.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_embarrassed.png")
    image mli attracted = im.Composite(None, (0, 0), "edward_happy.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_attracted.png")
    image mli amused = im.Composite(None, (0, 0), "edward_amused.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_amused.png")
    image mli worried = im.Composite(None, (0, 0), "edward_worried.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_worried.png")
    image mli happy = im.Composite(None, (0, 0), "edward_happy.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_happy.png")
    image mli sad = im.Composite(None, (0, 0), "edward_sad.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_sad.png")
    image mli annoyed = im.Composite(None, (0, 0), "edward_worried.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_annoyed.png")
    image mli angry = im.Composite(None, (0, 0), "edward_worried.png", (0, 0), "edward_blur.png",
                                               (0, 0), "edward_aura_angry.png")
    
    ## no blur female li
    image fli_noblur default = "amelie_default.png"
    image fli_noblur fade = im.Alpha("amelie_default.png", 0.5)
    image fli_noblur happy = "amelie_happy.png"
    image fli_noblur amused = "amelie_amused.png"
    image fli_noblur worried = "amelie_worried.png"
    image fli_noblur worried_fade_slight = im.Alpha("amelie_worried.png", 0.7)
    image fli_noblur worried_fade = im.Alpha("amelie_worried.png", 0.5)
    image fli_noblur sad = "amelie_sad.png"
    image fli_noblur sad_fade = im.Alpha("amelie_sad.png", 0.5)
    
    ## no blur male li
    image mli_noblur default = "edward_default.png"
    image mli_noblur fade = im.Alpha("edward_default.png", 0.5)
    image mli_noblur happy = "edward_happy.png"
    image mli_noblur amused = "edward_amused.png"
    image mli_noblur worried = "edward_worried.png"
    image mli_noblur worried_fade_slight = im.Alpha("edward_worried.png", 0.7)
    image mli_noblur worried_fade = im.Alpha("edward_worried.png", 0.5)
    image mli_noblur sad = "edward_sad.png"
    image mli_noblur sad_fade = im.Alpha("edward_sad.png", 0.5)
    
    ## special female li
    image fli double = im.Composite((500, 510), (-75, 0), "amelie_worried.png", (-75, 0), "amelie_blur.png",
                                        (-75, 0), "amelie_aura_worried.png",
                                        (100, 0), "amelie_worried.png",
                                        (100, 0), "amelie_blur.png", (100, 0), "amelie_aura_worried.png")
    
    ## special male li
    image mli double = im.Composite((500, 510), (-50, 0), "edward_worried.png", (-50, 0), "edward_blur.png",
                                        (-50, 0), "edward_aura_worried.png",
                                        (50, 0), "edward_worried.png",
                                        (50, 0), "edward_blur.png", (50, 0), "edward_aura_worried.png")
    
    image fliXmli fade  = im.Alpha((im.Composite((500, 510), (-75, 0), "edward_happy.png",
                                        (100, 0), "amelie_default.png")), 0.5)
    
    ## Cambill (glowing ball of light)
    image cambill default = "cambill.png"
    image cambill dim = im.Recolor("cambill.png", 200, 200, 200, 255)
    image cambill fade = im.Alpha("cambill.png", 0.5)
    
    ## minor npcs
    image ghost = "ghost.png"
    image ghost fade = im.Alpha("ghost.png", 0.6)
    image angry_man = "angry_man.png"
    image drunk_man = "drunk_man.png"
    image girl = "girl.png"
    
    ## villain
    image killer default = "killer.png"
    image killer xy = im.Composite(None, (0, 0), "killer.png", (0, 112), "amelie_worried.png",
                                      (0, 112), "amelie_blur.png", (0, 112), "amelie_aura_worried.png")
                                      
    image killer xx = im.Composite(None, (0, 0), "killer.png", (0, 97), "edward_default.png",
                                      (0, 97), "edward_blur.png", (0, 97), "edward_aura_worried.png")

    ## Character objects
    ## thoughts
    $ narrator = Character(None,
                            what_prefix="(",
                            what_suffix=")",
                            what_black_color="#282",
                            what_layout="subtitle",
                            what_xalign=0.5,
                            what_text_align=0.5,
                            window_yminimum=0,
                            show_say_vbox_properties=dict(xalign=0.5))

    ## dialogue
    $ d = Character(None,
                            what_black_color="#282",
                            what_layout="subtitle",
                            what_xalign=0.5,
                            what_text_align=0.5,
                            window_yminimum=0,
                            show_say_vbox_properties=dict(xalign=0.5))
                            
    ## ending
    $ e = NVLCharacter(None)

    ## debugging
    $ bug = Character(None,
                            condition='debug_on',
                            what_black_color="#282",
                            what_layout="subtitle",
                            what_xalign=0.5,
                            what_text_align=0.5,
                            window_yminimum=0,
                            window_style='debug_window',
                            show_say_vbox_properties=dict(xalign=0.5))
    
label main_menu:

    jump _library_main_menu

label start:
    
    $ renpy.music.stop( channel=7, fadeout=None)
    
    ## I have a feeling this is a Bad thing to do, but it works to preserve the
    ## splashscreen music when the game is first loaded.
    $ config.main_menu_music = 'music/magnatune_-_aquaireeus_-_Below_Summer_Solstice_Mix.ogg'
    
    scene black with dissolve
    
    jump cute_meet

## Debug Ending
label ending:
    
    $ navigation_overlay_shown = False    
    
    play music 'music/magnatune_-_aquaireeus_-_Below_Summer_Solstice_Mix.ogg'
    
    scene black with dissolve
    $ minutes, seconds = divmod(int(renpy.get_game_runtime()), 60)
    bug "It took you %(minutes)d minutes and %(seconds)d seconds to
     get to the end."
    show text "The End"
    $ renpy.pause(4.0)
    hide text with dissolve
    
    scene black with dissolve
    
    show text "Powered By Ren'Py\nhttp://www.renpy.org/" with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    show text "Artwork By\nRadical Dreamers 2002" with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    show text "With thanks to DaFool for donating art\n(the shadowy villain) to the NaNoReNo cause." with dissolve
    if renpy.pause(3.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    show text 'Main Theme\n\"Below (Summer Solstice Mix)\"\nDex Aquaireean (http://ccmixter.org/) \nUnder Creative Commons License:\nAttribution-NonCommercial-ShareAlike 2.5'
    with dissolve
    if renpy.pause(8.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    scene black with dissolve
    if renpy.pause(2.0):
        $ renpy.full_restart()
    
    show text "Sound clips courtesy of The Freesound Project\nhttp://freesound.iua.upf.edu"
    with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    scene black with dissolve
    if renpy.pause(2.0):
        $ renpy.full_restart()
    
    show text "1222-fampr-manyvoices.aif\nBy kyleklip"
    with dissolve
    if renpy.pause(3.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    scene black with dissolve
    if renpy.pause(2.0):
        $ renpy.full_restart()
    
    show text "Fire_Swish_Monster_Truck.aif\nBy Dynamicell"
    with dissolve
    if renpy.pause(3.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    scene black with dissolve
    if renpy.pause(2.0):
        $ renpy.full_restart()
        
    show text "Backgrounds courtesy of morguefile.com\nhttp://www.morguefile.com/"
    with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    scene black with dissolve
    if renpy.pause(2.0):
        $ renpy.full_restart()
        
    show text "Fonts courtesy of\nApostrophic Laboratories\nand\nManfred Klein"
    with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    show text "Without Ren\'Py, this game would never have been possible.\nThanks, Py\'Tom!!!"
    with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    show text "For more licensing information and urls,\nplease look in the text files\nincluded with this game."
    with dissolve
    if renpy.pause(7.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    show text "Thanks for playing!"
    with dissolve
    if renpy.pause(6.0):
        $ renpy.full_restart()
    hide text with dissolve
    
    $ renpy.full_restart()

## Splashscreen
label splashscreen:
    
    $ style.centered_text.xmaximum = 350        # set the width of the text for the duration of the splashscreen
    
    scene black with None

    show nano_intro with dissolve
    $ renpy.pause(0.1)
    play sound 'music/17836_Dynamicell_Fire_Swish_Monster_Truck.ogg'
    $ renpy.pause(7.0)
    hide nano_intro with dissolve
        
    scene renpy_intro_bg with dissolve
    
    show renpy_intro with dissolve
    $ renpy.pause(4.5)
    play sound 'music/23964_kyleklip_1222_fampr_manyvoices.ogg'
    $ renpy.pause(1.5)
    hide renpy_intro with dissolve
    
    scene black with dissolve
    if renpy.pause(2.0):
        jump end_splash

    play music 'music/magnatune_-_aquaireeus_-_Below_Summer_Solstice_Mix.ogg'
    
    scene black with dissolve
    if renpy.pause(2.0):
        jump end_splash
    
    show text "Green Fairy Games Presents" with dissolve
    if renpy.pause(2.0):
        jump end_splash
    hide text with dissolve

    show text "in conjunction with\nRadical Dreamers 2002" with dissolve
    if renpy.pause(3.0):
        jump end_splash
    hide text with dissolve
    
    show text "A\nNaNoReNo2007\nGame" with dissolve
    if renpy.pause(3.0):
        jump end_splash
    hide text with dissolve
    
    if renpy.pause(2.0):
        jump end_splash
    
    show text "Eidolon" with dissolve
    if renpy.pause(3.0):
        jump end_splash
    hide text with dissolve
    
    jump end_splash
    
    return
    
label end_splash:

    scene black with dissolve
    $ renpy.transition(dissolve)
    
    $ style.centered_text.xmaximum = 700
    
    return
